package com.yanzuoguang.util.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * 查询分页数据结果呈现类
 *
 * @author 颜佐光
 */
public class PageSizeData<T extends Object> extends PageSizeReqVo {

    private static final long serialVersionUID = -8424119556188973873L;
    /**
     * 总记录数
     */
    @ApiModelProperty(value = "总记录数", required = true, example = "55")
    private int pageTotal = -1;

    /**
     * 当前页的记录
     */
    @ApiModelProperty(value = "当前页的数据", required = true)
    private List<T> list = new ArrayList<T>();

    public int getPageTotal() {
        return pageTotal;
    }

    public void setPageTotal(int pageTotal) {
        this.pageTotal = pageTotal;
    }

    public List<T> getList() {
        return list;
    }

    public void setList(List<T> list) {
        this.list = list;
    }

}
